#ifndef SETTINGFORM_H
#define SETTINGFORM_H

#include <QtWidgets>
#include <QtGui>

class SettingForm : public QWidget
{
  Q_OBJECT
  private:
    QSlider *slider;
  public:
    explicit SettingForm( QWidget *parent = 0 );
    void setSlider( int sMin, int sMax, int startValue );
    void setSliderRange( int sMin, int sMax );
    void setCurrentValue( int value );
    int sliderValue( void );
  signals:
    void sliderValueChanged( int sliderValue );
};

#endif // SETTINGFORM_H
